#!/bin/bash

OUTPUTDIR='/var/www/html'

vnstati --hours     --output ${OUTPUTDIR}/vnstat-hours.png
vnstati --days      --output ${OUTPUTDIR}/vnstat-days.png
vnstati --months    --output ${OUTPUTDIR}/vnstat-months.png
vnstati --top10     --output ${OUTPUTDIR}/vnstat-top10.png
vnstati --hsummary  --output ${OUTPUTDIR}/vnstat-summary.png

optipng ${OUTPUTDIR}/vnstat-*.png
chmod a+r ${OUTPUTDIR}/vnstat-*.png

ping -c 3 -q {{ central_server }} && \
    rsync -azP \
        /var/www/html/vnstat-*.png \
        {{ central_server }}:/ansible/logs/{{ server_name }}/ \
        2> /dev/null
